import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRScenesManagementClusterAddSceneResponseParams extends _NSObject {
    static alloc(): _MTRScenesManagementClusterAddSceneResponseParams;
    static new(): _MTRScenesManagementClusterAddSceneResponseParams;
    init(): _MTRScenesManagementClusterAddSceneResponseParams;
    status(): _NSNumber;
    setStatus$(value: _NSNumber): void;
    groupID(): _NSNumber;
    setGroupID$(value: _NSNumber): void;
    sceneID(): _NSNumber;
    setSceneID$(value: _NSNumber): void;
}
export interface _MTRScenesManagementClusterAddSceneResponseParams extends _NSCopying {
}
